Bug 1266803 - [abrt] gnome-shell: cache_process_children_changed(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: cache_process_children_changed(): gnome-shell killed by S...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: at-spi2-core (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:03aa8928066be7a412e4e3d68e0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-27 21:32 EDT by Štefan Gurský
Modified: 2016-12-20 09:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:48:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (60.39 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: core_backtrace (2.61 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: dso_list (26.00 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: environ (1.72 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: maps (177.42 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: mountinfo (3.71 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: open_fds (4.39 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details
File: var_log_messages (399 bytes, text/plain)
2015-09-27 21:32 EDT, Štefan Gurský
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 755951 None None None Never

  None (edit)
Description Štefan Gurský 2015-09-27 21:32:19 EDT
Version-Release number of selected component:
gnome-shell-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: cache_process_children_changed
executable:     /usr/bin/gnome-shell
global_pid:     2517
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 cache_process_children_changed at atspi-event-listener.c:229
 #1 _atspi_dbus_handle_event at atspi-event-listener.c:1052
 #2 process_deferred_message at atspi-misc.c:731
 #3 process_deferred_messages at atspi-misc.c:765
 #5 process_deferred_messages_callback at atspi-misc.c:777
 #10 meta_run at core/main.c:437
Comment 1 Štefan Gurský 2015-09-27 21:32:24 EDT
Created attachment 1077826 [details]
File: backtrace
Comment 2 Štefan Gurský 2015-09-27 21:32:25 EDT
Created attachment 1077827 [details]
File: cgroup
Comment 3 Štefan Gurský 2015-09-27 21:32:27 EDT
Created attachment 1077828 [details]
File: core_backtrace
Comment 4 Štefan Gurský 2015-09-27 21:32:29 EDT
Created attachment 1077829 [details]
File: dso_list
Comment 5 Štefan Gurský 2015-09-27 21:32:30 EDT
Created attachment 1077830 [details]
File: environ
Comment 6 Štefan Gurský 2015-09-27 21:32:32 EDT
Created attachment 1077831 [details]
File: exploitable
Comment 7 Štefan Gurský 2015-09-27 21:32:33 EDT
Created attachment 1077832 [details]
File: limits
Comment 8 Štefan Gurský 2015-09-27 21:32:36 EDT
Created attachment 1077833 [details]
File: maps
Comment 9 Štefan Gurský 2015-09-27 21:32:37 EDT
Created attachment 1077834 [details]
File: mountinfo
Comment 10 Štefan Gurský 2015-09-27 21:32:39 EDT
Created attachment 1077835 [details]
File: namespaces
Comment 11 Štefan Gurský 2015-09-27 21:32:40 EDT
Created attachment 1077836 [details]
File: open_fds
Comment 12 Štefan Gurský 2015-09-27 21:32:42 EDT
Created attachment 1077837 [details]
File: proc_pid_status
Comment 13 Štefan Gurský 2015-09-27 21:32:43 EDT
Created attachment 1077838 [details]
File: var_log_messages
Comment 14 Owen Taylor 2015-10-01 11:34:39 EDT
Crash introduced by https://git.gnome.org/browse/at-spi2-core/commit/?id=b2c8c4c7230742b683db3d69a608950fede76b6c (object used after unref)
Comment 15 Owen Taylor 2015-10-01 12:48:07 EDT
I attached a patch to the upstream bug, that I'm not 100% confident that fixes the crash, but should be relatively safe.
Comment 16 Fedora End Of Life 2016-11-24 07:38:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 09:48:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.